# PhasicFlow: twoPartEntry Class Reference

twoPartEntry Class Reference
Collaboration diagram for twoPartEntry:
[legend]

## Public Member Functions

| twoPartEntry (dataEntry entry)
const word & | keyword () const
const word & | firstPart () const
iTstream & | secondPart ()
template<typename T >
T | secondPartVal () const

## Protected Attributes

word | keyword_
word | firstPart_
iTstream | secondPart_

## Detailed Description

Definition at line 36 of file twoPartEntry.hpp.

## Constructor & Destructor Documentation

## twoPartEntry()

twoPartEntry | ( | dataEntry | entry | ) |

Definition at line 28 of file twoPartEntry.cpp.

References IOstream::eof(), fatalErrorInFunction, fatalExit, iTstream::read(), and dataEntry::stream().

Here is the call graph for this function:

## Member Function Documentation

## keyword()

const word& keyword | ( |  | ) | const

inline

Definition at line 46 of file twoPartEntry.hpp.

References twoPartEntry::keyword_.

Referenced by setFieldEntry::fieldName().

Here is the caller graph for this function:

## firstPart()

const word& firstPart | ( |  | ) | const

inline

Definition at line 51 of file twoPartEntry.hpp.

References twoPartEntry::firstPart_.

Referenced by setFieldEntry::checkForType(), and processField::getFieldType().

Here is the caller graph for this function:

## secondPart()

iTstream& secondPart | ( |  | ) |

inline

Definition at line 56 of file twoPartEntry.hpp.

References twoPartEntry::secondPart_.

Referenced by pFlow::isTwoPartEntry().

Here is the caller graph for this function:

## secondPartVal()

T secondPartVal | ( |  | ) | const

inline

Definition at line 62 of file twoPartEntry.hpp.

References iTstream::rewind(), and twoPartEntry::secondPart_.

Referenced by ProcessField< T >::getUniformValue().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## keyword_

word keyword_

protected

Definition at line 39 of file twoPartEntry.hpp.

Referenced by twoPartEntry::keyword().

## firstPart_

word firstPart_

protected

Definition at line 40 of file twoPartEntry.hpp.

Referenced by twoPartEntry::firstPart().

## secondPart_

iTstream secondPart_

mutableprotected

Definition at line 41 of file twoPartEntry.hpp.

Referenced by twoPartEntry::secondPart(), and twoPartEntry::secondPartVal().

The documentation for this class was generated from the following files:

- src/phasicFlow/dictionary/twoPartEntry/twoPartEntry.hpp
- src/phasicFlow/dictionary/twoPartEntry/twoPartEntry.cpp